HandlerChainImpl (Axis API)
Keywords: org.apache.axis.handlers.HandlerChainImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.handlers
Class HandlerChainImpl

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  org.apache.axis.handlers.HandlerChainImpl

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, HandlerChain, java.util.List, java.util.RandomAccess, java.io.Serializable

public class HandlerChainImpl
extends java.util.ArrayList
implements HandlerChain

Implementation of HandlerChain

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `handlerInfos`
`static java.lang.String` | `JAXRPC_METHOD_INFO`
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`HandlerChainImpl()`
`HandlerChainImpl(java.util.List handlerInfos)`

Method Summary
`void` | `addNewHandler(java.lang.String className, java.util.Map config)`
`void` | `destroy()` Indicates the end of lifecycle for a HandlerChain.
`java.util.ArrayList` | `getMessageInfo(SOAPMessage message)`
`java.lang.String[]` | `getRoles()` Gets SOAP actor roles registered for this HandlerChain at this SOAP node.
`boolean` | `handleFault(MessageContext _context)` The `handleFault` method initiates the SOAP fault processing for this handler chain.
`boolean` | `handleRequest(MessageContext _context)` The `handleRequest` method initiates the request processing for this handler chain.
`boolean` | `handleResponse(MessageContext context)` The `handleResponse` method initiates the response processing for this handler chain.
`void` | `init(java.util.Map map)` Initializes the configuration for a HandlerChain.
`void` | `setRoles(java.lang.String[] roles)` Sets SOAP Actor roles for this `HandlerChain`.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### JAXRPC_METHOD_INFO

    public static final java.lang.String JAXRPC_METHOD_INFO

See Also:
  Constant Field Values

### handlerInfos

    protected java.util.List handlerInfos

Constructor Detail

### HandlerChainImpl

    public HandlerChainImpl()

### HandlerChainImpl

    public HandlerChainImpl(java.util.List handlerInfos)

Method Detail

### getRoles

    public java.lang.String[] getRoles()

  Description copied from interface: `HandlerChain`
  Gets SOAP actor roles registered for this HandlerChain at this SOAP node. The returned array includes the special SOAP actor `next`.

  Specified by:
    `getRoles` in interface `HandlerChain`
  Returns:
    String[] SOAP Actor roles as URIs

### setRoles

    public void setRoles(java.lang.String[] roles)

  Description copied from interface: `HandlerChain`
  Sets SOAP Actor roles for this `HandlerChain`. This specifies the set of roles in which this HandlerChain is to act for the SOAP message processing at this SOAP node. These roles assumed by a HandlerChain must be invariant during the processing of an individual SOAP message through the HandlerChain.

  A `HandlerChain` always acts in the role of the special SOAP actor `next`. Refer to the SOAP specification for the URI name for this special SOAP actor. There is no need to set this special role using this method.

  Specified by:
    `setRoles` in interface `HandlerChain`
  Parameters:
    `roles` - URIs for SOAP actor name

### init

    public void init(java.util.Map map)

  Description copied from interface: `HandlerChain`
  Initializes the configuration for a HandlerChain.

  Specified by:
    `init` in interface `HandlerChain`
  Parameters:
    `map` - Configuration for the initialization of this handler chain

### addNewHandler

    public void addNewHandler(java.lang.String className,
                              java.util.Map config)

### handleFault

    public boolean handleFault(MessageContext _context)

  Description copied from interface: `HandlerChain`
  The `handleFault` method initiates the SOAP fault processing for this handler chain.

  Specified by:
    `handleFault` in interface `HandlerChain`
  Parameters:
    `_context` - MessageContext parameter provides access to the SOAP message.
  Returns:
    Returns boolean Returns `true` if all handlers in chain have been processed. Returns `false` if a handler in the chain returned `false` from its handleFault method.

### getMessageInfo

    public java.util.ArrayList getMessageInfo(SOAPMessage message)

### handleRequest

    public boolean handleRequest(MessageContext _context)

  Description copied from interface: `HandlerChain`
  The `handleRequest` method initiates the request processing for this handler chain.

  Specified by:
    `handleRequest` in interface `HandlerChain`
  Parameters:
    `_context` - MessageContext parameter provides access to the request SOAP message.
  Returns:
    boolean Returns `true` if all handlers in chain have been processed. Returns `false` if a handler in the chain returned `false` from its handleRequest method.

### handleResponse

    public boolean handleResponse(MessageContext context)

  Description copied from interface: `HandlerChain`
  The `handleResponse` method initiates the response processing for this handler chain.

  Specified by:
    `handleResponse` in interface `HandlerChain`
  Parameters:
    `context` - MessageContext parameter provides access to the response SOAP message.
  Returns:
    boolean Returns `true` if all handlers in chain have been processed. Returns `false` if a handler in the chain returned `false` from its handleResponse method.

### destroy

    public void destroy()

  Description copied from interface: `HandlerChain`
  Indicates the end of lifecycle for a HandlerChain.

  Specified by:
    `destroy` in interface `HandlerChain`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.